html,
body {
    margin: 0;
    width: 100%;
    min-height: 100vh;
}

body {
    font-family: "Roboto";
    display: flex;
    background-size: 100% 100%;
}

.filler {
    height: 10px;
}

#center {
    margin-top: 0;
    width: 60%;
    max-height: 100%;

    margin-left: auto;
    margin-right: auto;
    background-color: rgb(37, 37, 41);
}

.space_right,
.space_left {
    width: 20%;
    min-height: 100%;
    background-size: 100% 100%;
}
.space_right {
    background-image: linear-gradient(
        to left,
        rgb(50, 50, 57),
        rgb(37, 37, 41)
    );
}
.space_left {
    background-image: linear-gradient(
        to right,
        rgb(50, 50, 57),
        rgb(37, 37, 41)
    );
}
.text_content {
    color: rgb(207, 205, 255);
}

.detail_box {
    border: 1px solid #aaa;
    border-radius: 10px;
    padding: 5px;
    background-color: rgb(54, 54, 64);
    box-sizing: border-box;
}

.language_img {
    object-fit: contain;
    width: 50px;
    padding-left: 5px;
    padding-right: 5px;
}

#lang_div {
    display: flex;
    margin: 0;
    width: 100%;
    flex-wrap: wrap;
}

.detail_box img {
    height: 100px;
    border-radius: 15px;
    flex-direction: column;
    display: flex;
}

.github-btn {
    color: rgb(207, 205, 255);
    width: 100%;
    vertical-align: bottom;
    border: 0;
    background-color: rgb(80, 76, 130);
    border-bottom: 4px rgb(163, 159, 255) solid;
    cursor: pointer;
    text-decoration: none;
    padding-top: 10px;
    padding-bottom: 10px;
    text-align: center;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

.cert-btn {
    color: rgb(207, 205, 255);
    width: 100%;
    vertical-align: bottom;
    border: 0;
    background-color: rgb(80, 76, 130);
    border-bottom: 4px rgb(163, 159, 255) solid;
    cursor: pointer;
    text-decoration: none;
    padding-top: 10px;
    padding-bottom: 10px;
    text-align: center;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    margin-top: 10px;
}

.about_me {
    margin: 0;
    padding: 20px;
}
.about_me_border {
    border-left: rgb(122, 91, 122) 12px solid;
    padding-left: 5%;
}

.connection_div {
    display: flex;
    gap: 10px;
    height: 40px;
    width: 40px;
}

.connection_logo {
    display: inline-block;
    width: 40px;
    height: 40px;
    background-color: white;
    border: 1px solid #aaa;
    border-radius: 10px;
}

#proj_content,
#cert_content {
    display: grid;
    grid: auto-flow / repeat(auto-fit, minmax(150px, 1fr));
    justify-content: space-between;
    gap: 10px;
}

.inner_project {
    display: flex;
    flex-wrap: wrap;
    gap: 0;
}

.inner_cert {
    display: flex;
    flex-wrap: wrap;
    gap: 0;
}

.cert_thumb {
    height: 250px;
    width: 100%;
    object-fit: contain;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    margin-bottom: 0;
}

.project_thumb {
    height: 100px;
    width: 100%;
    object-fit: cover;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    margin-bottom: 0;
}
.project_header {
    margin: auto;
    text-align: center;
    margin-top: 10px;
    margin-bottom: 10px;
    width: 100%;
}
.project_button {
    color: rgb(207, 205, 255);
    width: 100%;
    display: block;
    border: 0;
    background-color: rgb(80, 76, 130);
    border-bottom: 4px rgb(163, 159, 255) solid;
    height: 40px;
    cursor: pointer;
    margin: 0;
    padding-top: 0;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}
.project_button:hover {
    background-color: rgb(89, 88, 114);
}

.cert,
.project {
    margin: auto;
    border: 1px solid #aaa;
    border-radius: 10px;
    width: 100% !important;
    min-width: 140px;
    min-height: 180px;
    padding: 5px;
    display: inline-block;
    vertical-align: top;
    background-color: rgb(54, 54, 64);
    box-sizing: border-box;
    height: 100% !important;
    margin-bottom: 5px;
}

.lang_logo {
    margin-top: 10px;
    height: 50px;
    width: 50px;
    border: 1px solid #aaa;
    margin: auto;
    background-color: rgb(37, 37, 41);
    padding: 5px 5px 5px 5px;
    border-radius: 10px;
}
.lang_div {
    padding-top: 5px;
    margin: auto;
    align-self: end;
    margin-bottom: 20px;
}

@media screen and (min-width: 800px) {
    .language_img {
        object-fit: contain;
        width: 75px;
        padding-left: 5px;
        padding-right: 5px;
    }
}
